@Echo off
Cls
Echo.
Echo *******************************************
Echo * Installation of Policy Editor for       *
Echo *        Windows XP Home Edition          *
Echo *                                         *
Echo * (c) Dominique (webmaster Astwinds),     *
Echo *     DOLPat� [Batch d'installation]      *
Echo *******************************************
Echo.
Echo.


if %1r == /ur GoTo Unregister
if %1r == -ur GoTo Unregister
if exist %Windir% GoTo CopieFichiers
Echo Couldn't detect the Windows XP directory. Restart the installation
Echo after setting the %Windir% environment variable to point to your
Echo Windows folder.
Echo.
GoTo Fin

:CopieFichiers
  Set Repertoire=%Windir%\System32\
  Set Fichier=appmgmts.dll
  Copy %Fichier% %Repertoire% > Nul
  if not exist %Repertoire%%Fichier% GoTo Erreur

  Set Fichier=appmgr.dll
  Copy %Fichier% %Repertoire% > Nul
  if not exist %Repertoire%%Fichier% GoTo Erreur

  Set Fichier=fde.dll
  Copy %Fichier% %Repertoire% > Nul
  if not exist %Repertoire%%Fichier% GoTo Erreur

  Set Fichier=fdeploy.dll
  Copy %Fichier% %Repertoire% > Nul
  if not exist %Repertoire%%Fichier% GoTo Erreur

  Set Fichier=gpedit.msc
  Copy %Fichier% %Repertoire% > Nul
  if not exist %Repertoire%%Fichier% GoTo Erreur

  Set Fichier=gpedit.dll
  Copy %Fichier% %Repertoire% > Nul
  if not exist %Repertoire%%Fichier% GoTo Erreur

  Set Fichier=gptext.dll
  Copy %Fichier% %Repertoire% > Nul
  if not exist %Repertoire%%Fichier% GoTo Erreur

  if not exist %WinDir%\System32\GroupPolicy md %WinDir%\System32\GroupPolicy
  if not exist %WinDir%\System32\GroupPolicy\ADM md %WinDir%\System32\GroupPolicy\ADM
  Set Repertoire=%WinDir%\System32\GroupPolicy\Adm\

  Set Fichier=system.adm
  Copy %Fichier% %Repertoire% > Nul
  if not exist %Repertoire%%Fichier% GoTo Erreur

  Set Fichier=inetres.adm
  Copy %Fichier% %Repertoire% > Nul
  if not exist %Repertoire%%Fichier% GoTo Erreur

  Set Fichier=conf.adm
  Copy %Fichier% %Repertoire% > Nul
  if not exist %Repertoire%%Fichier% GoTo Erreur

  Set Repertoire=%Windir%\System32\

  Set Fichier=gpedit.dll
  regsvr32 %Repertoire%%Fichier% /s
  If ErrorLevel 1 goto ErrEnreg

  Set Fichier=fde.dll
  regsvr32 %Repertoire%%Fichier% /s
  If ErrorLevel 1 goto ErrEnreg

  Set Fichier=gptext.dll
  regsvr32 %Repertoire%%Fichier% /s
  If ErrorLevel 1 goto ErrEnreg

  Set Fichier=appmgr.dll
  regsvr32 %Repertoire%%Fichier% /s
  If ErrorLevel 1 goto ErrEnreg

  Set Fichier=fdeploy.dll
  regsvr32 %Repertoire%%Fichier% /s
  If ErrorLevel 1 goto ErrEnreg

  Echo Installation complete!
  GoTo Fin

:Unregister
  Set Repertoire=%Windir%\System32\
  regsvr32 %Repertoire%gpedit.dll /u
  regsvr32 %Repertoire%fde.dll /u
  regsvr32 %Repertoire%gptext.dll /u
  regsvr32 %Repertoire%appmgr.dll /u
  regsvr32 %Repertoire%fdeploy.dll /u
  GoTo Fin

:ErrEnreg
  Set Repertoire=%Windir%\System32\
  regsvr32 %Repertoire%gpedit.dll /u /s
  regsvr32 %Repertoire%fde.dll /u /s
  regsvr32 %Repertoire%gptext.dll /u /s
  regsvr32 %Repertoire%appmgr.dll /u /s
  regsvr32 %Repertoire%fdeploy.dll /u /s
  Echo [Installation incomplete]
  Echo Error registering library %Fichier%
  Echo.
  Pause
  GoTo Fin

:Erreur
  Echo Error copying file %Fichier%
  Echo.
  Pause

:Fin
  Set Repertoire=
  Set Fichier=
  Echo.
  Echo.
